% Graphische Darstellung der Methode + Ausgabe der Zwischenwerte
function T=myplot(left,right,func,methode,init,n,abl)
z=init;
x=left:(right-left)/1000:right;
y=func(x);
T=z(1);

for i=1:n
    % abl ist ein optionaler Parameter und darf nur in der Funktion
    % aufgerufen werden, wenn er eingegeben wurde
    if nargin==7
        z_new=methode(func,z,abl);
    else
        z_new=methode(func,z);
    end
    % hier wird f, x-Achse und Sekante (regula, sekante) bzw.
    % Tangente (newton) geplottet
    plot(x,line,'g')
    hold off
    % speichern von z_new
    z=z_new;
    % speichern von z_new in T
    T=[T;z(1)];
    pause(0.5)
end